Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInteractorStyle Class Reference

`#include <vtkInteractorStyle.h>`

Inheritance diagram for vtkInteractorStyle:

[legend]
Collaboration diagram for vtkInteractorStyle:

[legend]
List of all members.

## Detailed Description

provide event-driven interface to the rendering window (defines trackball mode)

Date:
  2002/11/22 16:27:05

Revision:
  1.47

vtkInteractorStyle is a base class implementing the majority of motion control routines and defines an event driven interface to support vtkRenderWindowInteractor. vtkRenderWindowInteractor implements platform dependent key/mouse routing and timer control, which forwards events in a neutral form to vtkInteractorStyle.

vtkInteractorStyle implements the "joystick" style of interaction. That is, holding down the mouse keys generates a stream of events that cause continuous actions (e.g., rotate, translate, pan, zoom). (The class vtkInteractorStyleTrackball implements a grab and move style.) The event bindings for this class include the following:

- Keypress j / Keypress t: toggle between joystick (position sensitive) and trackball (motion sensitive) styles. In joystick style, motion occurs continuously as long as a mouse button is pressed. In trackball style, motion occurs when the mouse button is pressed and the mouse pointer moves.
- Keypress c / Keypress o: toggle between camera and object (actor) modes. In camera mode, mouse events affect the camera position and focal point. In object mode, mouse events affect the actor that is under the mouse pointer.
- Button 1: rotate the camera around its focal point (if camera mode) or rotate the actor around its origin (if actor mode). The rotation is in the direction defined from the center of the renderer's viewport towards the mouse position. In joystick mode, the magnitude of the rotation is determined by the distance the mouse is from the center of the render window.
- Button 2: pan the camera (if camera mode) or translate the actor (if object mode). In joystick mode, the direction of pan or translation is from the center of the viewport towards the mouse position. In trackball mode, the direction of motion is the direction the mouse moves. (Note: with 2-button mice, pan is defined as <Shift>-Button 1.)
- Button 3: zoom the camera (if camera mode) or scale the actor (if object mode). Zoom in/increase scale if the mouse position is in the top half of the viewport; zoom out/decrease scale if the mouse position is in the bottom half. In joystick mode, the amount of zoom is controlled by the distance of the mouse pointer from the horizontal centerline of the window.
- Keypress 3: toggle the render window into and out of stereo mode. By default, red-blue stereo pairs are created. Some systems support Crystal Eyes LCD stereo glasses; you have to invoke SetStereoTypeToCrystalEyes() on the rendering window.
- Keypress e: exit the application.
- Keypress f: fly to the picked point
- Keypress p: perform a pick operation. The render window interactor has an internal instance of vtkCellPicker that it uses to pick.
- Keypress r: reset the camera view along the current view direction. Centers the actors and moves the camera so that all actors are visible.
- Keypress s: modify the representation of all actors so that they are surfaces.
- Keypress u: invoke the user-defined function. Typically, this keypress will bring up an interactor that you can type commands in.
- Keypress w: modify the representation of all actors so that they are wireframe.

vtkInteractorStyle can be subclassed to provide new interaction styles and a facility to override any of the default mouse/key operations which currently handle trackball or joystick styles is provided.

See also:
  vtkInteractorStyleTrackball

Events:
  vtkCommand::EnableEvent vtkCommand::RightButtonPressEvent vtkCommand::EndInteractionEvent vtkCommand::MiddleButtonReleaseEvent vtkCommand::StartInteractionEvent vtkCommand::ExposeEvent vtkCommand::EnterEvent vtkCommand::KeyPressEvent vtkCommand::RightButtonReleaseEvent vtkCommand::ConfigureEvent vtkCommand::CharEvent vtkCommand::LeaveEvent vtkCommand::LeftButtonPressEvent vtkCommand::KeyReleaseEvent vtkCommand::LeftButtonReleaseEvent vtkCommand::MouseMoveEvent vtkCommand::TimerEvent vtkCommand::DisableEvent vtkCommand::MiddleButtonPressEvent

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Barre, Sebastien (32%)
  - Martin, Ken (31%)
  - Schroeder, Will (11%)
  - Hoffman, Bill (7%)
  - King, Brad (6%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkInteractorStyle.h)`
  - .`cxx` (`/Rendering/vtkInteractorStyle.cxx)`

Definition at line 133 of file vtkInteractorStyle.h.

## Public Types
typedef vtkInteractorObserver | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInteractor (vtkRenderWindowInteractor *interactor)
virtual void | SetEnabled (int)
void | FindPokedRenderer (int, int)
virtual void | OnTimer ()
virtual void | SetAutoAdjustCameraClippingRange (int)
virtual int | GetAutoAdjustCameraClippingRange ()
virtual void | AutoAdjustCameraClippingRangeOn ()
virtual void | AutoAdjustCameraClippingRangeOff ()
virtual int | GetState ()
virtual int | GetUseTimers ()
virtual void | SetUseTimers (int)
virtual void | UseTimersOn ()
virtual void | UseTimersOff ()
virtual void | SetHandleObservers (int)
virtual int | GetHandleObservers ()
virtual void | HandleObserversOn ()
virtual void | HandleObserversOff ()
virtual void | OnMouseMove ()
virtual void | OnLeftButtonDown ()
virtual void | OnLeftButtonUp ()
virtual void | OnMiddleButtonDown ()
virtual void | OnMiddleButtonUp ()
virtual void | OnRightButtonDown ()
virtual void | OnRightButtonUp ()
virtual void | OnChar ()
virtual void | OnKeyDown ()
virtual void | OnKeyUp ()
virtual void | OnKeyPress ()
virtual void | OnKeyRelease ()
virtual void | OnExpose ()
virtual void | OnConfigure ()
virtual void | OnEnter ()
virtual void | OnLeave ()
virtual void | Rotate ()
virtual void | Spin ()
virtual void | Pan ()
virtual void | Dolly ()
virtual void | Zoom ()
virtual void | UniformScale ()
virtual void | StartState (int newstate)
virtual void | StopState ()
virtual void | StartAnimate ()
virtual void | StopAnimate ()
virtual void | StartRotate ()
virtual void | EndRotate ()
virtual void | StartZoom ()
virtual void | EndZoom ()
virtual void | StartPan ()
virtual void | EndPan ()
virtual void | StartSpin ()
virtual void | EndSpin ()
virtual void | StartDolly ()
virtual void | EndDolly ()
virtual void | StartUniformScale ()
virtual void | EndUniformScale ()
virtual void | StartTimer ()
virtual void | EndTimer ()
void | SetLeftButtonPressMethod (void(*f)(void *), void *arg)
void | SetLeftButtonPressMethodArgDelete (void(*f)(void *))
void | SetLeftButtonReleaseMethod (void(*f)(void *), void *arg)
void | SetLeftButtonReleaseMethodArgDelete (void(*f)(void *))
void | SetMiddleButtonPressMethod (void(*f)(void *), void *arg)
void | SetMiddleButtonPressMethodArgDelete (void(*f)(void *))
void | SetMiddleButtonReleaseMethod (void(*f)(void *), void *arg)
void | SetMiddleButtonReleaseMethodArgDelete (void(*f)(void *))
void | SetRightButtonPressMethod (void(*f)(void *), void *arg)
void | SetRightButtonPressMethodArgDelete (void(*f)(void *))
void | SetRightButtonReleaseMethod (void(*f)(void *), void *arg)
void | SetRightButtonReleaseMethodArgDelete (void(*f)(void *))
virtual void | HighlightProp (vtkProp *prop)
virtual void | HighlightActor2D (vtkActor2D *actor2D)
virtual void | HighlightProp3D (vtkProp3D *prop3D)
virtual void | SetPickColor (float, float, float)
virtual void | SetPickColor (float[3])
virtual float * | GetPickColor ()
virtual void | GetPickColor (float data[3])
## Static Public Methods
vtkInteractorStyle * | New ()
int | IsTypeOf (const char *type)
vtkInteractorStyle * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInteractorStyle ()
| ~vtkInteractorStyle ()
## Static Protected Methods
void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
## Protected Attributes
int | State
int | AnimState
int | HandleObservers
int | UseTimers
int | AutoAdjustCameraClippingRange
vtkOutlineSource * | Outline
vtkPolyDataMapper * | OutlineMapper
vtkActor * | OutlineActor
vtkRenderer * | PickedRenderer
vtkProp * | CurrentProp
vtkActor2D * | PickedActor2D
int | PropPicked
float | PickColor [3]
unsigned long | LeftButtonPressTag
unsigned long | LeftButtonReleaseTag
unsigned long | MiddleButtonPressTag
unsigned long | MiddleButtonReleaseTag
unsigned long | RightButtonPressTag
unsigned long | RightButtonReleaseTag

## Member Typedef Documentation

typedef vtkInteractorObserver vtkInteractorStyle::Superclass

| Reimplemented from vtkInteractorObserver. Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleSwitch, vtkInteractorStyleTerrain, vtkInteractorStyleTrackball, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, vtkInteractorStyleUnicam, and vtkInteractorStyleUser. Definition at line 141 of file vtkInteractorStyle.h.

## Constructor & Destructor Documentation

vtkInteractorStyle::vtkInteractorStyle | ( |  | ) | `[protected]`

vtkInteractorStyle::~vtkInteractorStyle | ( |  | ) | `[protected]`

## Member Function Documentation

vtkInteractorStyle* vtkInteractorStyle::New | ( |  | ) | `[static]`

| This class must be supplied with a vtkRenderWindowInteractor wrapper or parent. This class should not normally be instantiated by application programmers. Reimplemented from vtkObject. Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleSwitch, vtkInteractorStyleTerrain, vtkInteractorStyleTrackball, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, vtkInteractorStyleUnicam, and vtkInteractorStyleUser.

virtual const char* vtkInteractorStyle::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInteractorObserver. Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleSwitch, vtkInteractorStyleTerrain, vtkInteractorStyleTrackball, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, vtkInteractorStyleUnicam, and vtkInteractorStyleUser.

int vtkInteractorStyle::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorObserver. Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleSwitch, vtkInteractorStyleTerrain, vtkInteractorStyleTrackball, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, vtkInteractorStyleUnicam, and vtkInteractorStyleUser.

virtual int vtkInteractorStyle::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorObserver. Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleSwitch, vtkInteractorStyleTerrain, vtkInteractorStyleTrackball, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, vtkInteractorStyleUnicam, and vtkInteractorStyleUser.

vtkInteractorStyle* vtkInteractorStyle::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInteractorObserver. Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleSwitch, vtkInteractorStyleTerrain, vtkInteractorStyleTrackball, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, vtkInteractorStyleUnicam, and vtkInteractorStyleUser.

void vtkInteractorStyle::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkInteractorObserver. Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleSwitch, vtkInteractorStyleTerrain, vtkInteractorStyleTrackball, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, vtkInteractorStyleUnicam, and vtkInteractorStyleUser.

virtual void vtkInteractorStyle::SetInteractor | ( | vtkRenderWindowInteractor * | interactor | ) | `[virtual]`

| Set/Get the Interactor wrapper being controlled by this object. (Satisfy superclass API.) Reimplemented from vtkInteractorObserver. Reimplemented in vtkInteractorStyleSwitch.

virtual void vtkInteractorStyle::SetEnabled | ( | int |  | ) | `[virtual]`

| Turn on/off this interactor. Interactor styles operate a little bit differently than other types of interactor observers. When the SetInteractor() method is invoked, the automatically enable themselves. This is a legacy requirement, and convenient for the user. Implements vtkInteractorObserver.

virtual void vtkInteractorStyle::SetAutoAdjustCameraClippingRange | ( | int |  | ) | `[virtual]`

| If AutoAdjustCameraClippingRange is on, then before each render the camera clipping range will be adjusted to "fit" the whole scene. Clipping will still occur if objects in the scene are behind the camera or come very close. If AutoAdjustCameraClippingRange is off, no adjustment will be made per render, but the camera clipping range will still be reset when the camera is reset. Reimplemented in vtkInteractorStyleSwitch.

virtual int vtkInteractorStyle::GetAutoAdjustCameraClippingRange | ( |  | ) | `[virtual]`

| If AutoAdjustCameraClippingRange is on, then before each render the camera clipping range will be adjusted to "fit" the whole scene. Clipping will still occur if objects in the scene are behind the camera or come very close. If AutoAdjustCameraClippingRange is off, no adjustment will be made per render, but the camera clipping range will still be reset when the camera is reset.

virtual void vtkInteractorStyle::AutoAdjustCameraClippingRangeOn | ( |  | ) | `[virtual]`

| If AutoAdjustCameraClippingRange is on, then before each render the camera clipping range will be adjusted to "fit" the whole scene. Clipping will still occur if objects in the scene are behind the camera or come very close. If AutoAdjustCameraClippingRange is off, no adjustment will be made per render, but the camera clipping range will still be reset when the camera is reset.

virtual void vtkInteractorStyle::AutoAdjustCameraClippingRangeOff | ( |  | ) | `[virtual]`

| If AutoAdjustCameraClippingRange is on, then before each render the camera clipping range will be adjusted to "fit" the whole scene. Clipping will still occur if objects in the scene are behind the camera or come very close. If AutoAdjustCameraClippingRange is off, no adjustment will be made per render, but the camera clipping range will still be reset when the camera is reset.

void vtkInteractorStyle::FindPokedRenderer | ( | int | ,
|  | int |
| ) |

| When an event occurs, we must determine which Renderer the event occurred within, since one RenderWindow may contain multiple renderers.

virtual int vtkInteractorStyle::GetState | ( |  | ) | `[virtual]`

| Some useful information for interaction

virtual int vtkInteractorStyle::GetUseTimers | ( |  | ) | `[virtual]`

| Set/Get timer hint

virtual void vtkInteractorStyle::SetUseTimers | ( | int |  | ) | `[virtual]`

| Set/Get timer hint

virtual void vtkInteractorStyle::UseTimersOn | ( |  | ) | `[virtual]`

| Set/Get timer hint

virtual void vtkInteractorStyle::UseTimersOff | ( |  | ) | `[virtual]`

| Set/Get timer hint

virtual void vtkInteractorStyle::SetHandleObservers | ( | int |  | ) | `[virtual]`

| Does ProcessEvents handle observers on this class or not

virtual int vtkInteractorStyle::GetHandleObservers | ( |  | ) | `[virtual]`

| Does ProcessEvents handle observers on this class or not

virtual void vtkInteractorStyle::HandleObserversOn | ( |  | ) | `[virtual]`

| Does ProcessEvents handle observers on this class or not

virtual void vtkInteractorStyle::HandleObserversOff | ( |  | ) | `[virtual]`

| Does ProcessEvents handle observers on this class or not

virtual void vtkInteractorStyle::OnMouseMove | ( |  | ) | `[inline, virtual]`

| Generic event bindings must be overridden in subclasses Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTerrain, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, vtkInteractorStyleUnicam, and vtkInteractorStyleUser. Definition at line 193 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnLeftButtonDown | ( |  | ) | `[inline, virtual]`

| Generic event bindings must be overridden in subclasses Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTerrain, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, vtkInteractorStyleUnicam, and vtkInteractorStyleUser. Definition at line 194 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnLeftButtonUp | ( |  | ) | `[inline, virtual]`

| Generic event bindings must be overridden in subclasses Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTerrain, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, vtkInteractorStyleUnicam, and vtkInteractorStyleUser. Definition at line 195 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnMiddleButtonDown | ( |  | ) | `[inline, virtual]`

| Generic event bindings must be overridden in subclasses Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTerrain, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, and vtkInteractorStyleUser. Definition at line 196 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnMiddleButtonUp | ( |  | ) | `[inline, virtual]`

| Generic event bindings must be overridden in subclasses Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTerrain, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, and vtkInteractorStyleUser. Definition at line 197 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnRightButtonDown | ( |  | ) | `[inline, virtual]`

| Generic event bindings must be overridden in subclasses Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTerrain, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, and vtkInteractorStyleUser. Definition at line 198 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnRightButtonUp | ( |  | ) | `[inline, virtual]`

| Generic event bindings must be overridden in subclasses Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTerrain, vtkInteractorStyleTrackballActor, vtkInteractorStyleTrackballCamera, and vtkInteractorStyleUser. Definition at line 199 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnChar | ( |  | ) | `[virtual]`

| OnChar implements keyboard functions, but subclasses can override this behavior Reimplemented from vtkInteractorObserver. Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleImage, vtkInteractorStyleSwitch, vtkInteractorStyleTerrain, and vtkInteractorStyleUser.

virtual void vtkInteractorStyle::OnKeyDown | ( |  | ) | `[inline, virtual]`

| OnChar implements keyboard functions, but subclasses can override this behavior Reimplemented in vtkInteractorStyleFlight. Definition at line 206 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnKeyUp | ( |  | ) | `[inline, virtual]`

| OnChar implements keyboard functions, but subclasses can override this behavior Reimplemented in vtkInteractorStyleFlight. Definition at line 207 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnKeyPress | ( |  | ) | `[inline, virtual]`

| OnChar implements keyboard functions, but subclasses can override this behavior Reimplemented in vtkInteractorStyleUser. Definition at line 208 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnKeyRelease | ( |  | ) | `[inline, virtual]`

| OnChar implements keyboard functions, but subclasses can override this behavior Reimplemented in vtkInteractorStyleUser. Definition at line 209 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnExpose | ( |  | ) | `[inline, virtual]`

| These are more esoteric events, but are useful in some cases. Reimplemented in vtkInteractorStyleUser. Definition at line 214 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnConfigure | ( |  | ) | `[inline, virtual]`

| These are more esoteric events, but are useful in some cases. Reimplemented in vtkInteractorStyleUser. Definition at line 215 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnEnter | ( |  | ) | `[inline, virtual]`

| These are more esoteric events, but are useful in some cases. Reimplemented in vtkInteractorStyleUser. Definition at line 216 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnLeave | ( |  | ) | `[inline, virtual]`

| These are more esoteric events, but are useful in some cases. Reimplemented in vtkInteractorStyleUser. Definition at line 217 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::OnTimer | ( |  | ) | `[virtual]`

| OnTimer calls Rotate, Rotate etc which should be overridden by style subclasses. Reimplemented in vtkInteractorStyleFlight, vtkInteractorStyleUnicam, and vtkInteractorStyleUser.

virtual void vtkInteractorStyle::Rotate | ( |  | ) | `[inline, virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented in vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTerrain, vtkInteractorStyleTrackballActor, and vtkInteractorStyleTrackballCamera. Definition at line 229 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::Spin | ( |  | ) | `[inline, virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented in vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTrackballActor, and vtkInteractorStyleTrackballCamera. Definition at line 230 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::Pan | ( |  | ) | `[inline, virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented in vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTerrain, vtkInteractorStyleTrackballActor, and vtkInteractorStyleTrackballCamera. Definition at line 231 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::Dolly | ( |  | ) | `[inline, virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented in vtkInteractorStyleJoystickActor, vtkInteractorStyleJoystickCamera, vtkInteractorStyleTerrain, vtkInteractorStyleTrackballActor, and vtkInteractorStyleTrackballCamera. Definition at line 232 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::Zoom | ( |  | ) | `[inline, virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Definition at line 233 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::UniformScale | ( |  | ) | `[inline, virtual]`

| These methods for the different interactions in different modes are overridden in subclasses to perform the correct motion. Since they might be called from OnTimer, they do not have mouse coord parameters (use interactor's GetEventPosition and GetLastEventPosition) Reimplemented in vtkInteractorStyleJoystickActor, and vtkInteractorStyleTrackballActor. Definition at line 234 of file vtkInteractorStyle.h.

virtual void vtkInteractorStyle::StartState | ( | int | newstate | ) | `[virtual]`

| utility routines used by state changes

virtual void vtkInteractorStyle::StopState | ( |  | ) | `[virtual]`

| utility routines used by state changes

virtual void vtkInteractorStyle::StartAnimate | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::StopAnimate | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::StartRotate | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::EndRotate | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::StartZoom | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::EndZoom | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::StartPan | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::EndPan | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::StartSpin | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::EndSpin | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::StartDolly | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::EndDolly | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::StartUniformScale | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::EndUniformScale | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::StartTimer | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

virtual void vtkInteractorStyle::EndTimer | ( |  | ) | `[virtual]`

| Interaction mode entry points used internally.

void vtkInteractorStyle::SetLeftButtonPressMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetLeftButtonPressMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetLeftButtonReleaseMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetLeftButtonReleaseMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetMiddleButtonPressMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetMiddleButtonPressMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetMiddleButtonReleaseMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetMiddleButtonReleaseMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetRightButtonPressMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetRightButtonPressMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetRightButtonReleaseMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkInteractorStyle::SetRightButtonReleaseMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

virtual void vtkInteractorStyle::HighlightProp | ( | vtkProp * | prop | ) | `[virtual]`

| When picking successfully selects an actor, this method highlights the picked prop appropriately. Currently this is done by placing a bounding box around a picked vtkProp3D, and using the PickColor to highlight a vtkProp2D.

virtual void vtkInteractorStyle::HighlightActor2D | ( | vtkActor2D * | actor2D | ) | `[virtual]`

| When picking successfully selects an actor, this method highlights the picked prop appropriately. Currently this is done by placing a bounding box around a picked vtkProp3D, and using the PickColor to highlight a vtkProp2D.

virtual void vtkInteractorStyle::HighlightProp3D | ( | vtkProp3D * | prop3D | ) | `[virtual]`

| When picking successfully selects an actor, this method highlights the picked prop appropriately. Currently this is done by placing a bounding box around a picked vtkProp3D, and using the PickColor to highlight a vtkProp2D.

virtual void vtkInteractorStyle::SetPickColor | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the pick color (used by default to color vtkActor2D's). The color is expressed as red/green/blue values between (0.0,1.0).

virtual void vtkInteractorStyle::SetPickColor | ( | float | [3] | ) | `[virtual]`

| Set/Get the pick color (used by default to color vtkActor2D's). The color is expressed as red/green/blue values between (0.0,1.0).

virtual float* vtkInteractorStyle::GetPickColor | ( |  | ) | `[virtual]`

| Set/Get the pick color (used by default to color vtkActor2D's). The color is expressed as red/green/blue values between (0.0,1.0).

virtual void vtkInteractorStyle::GetPickColor | ( | float | data[3] | ) | `[virtual]`

| Set/Get the pick color (used by default to color vtkActor2D's). The color is expressed as red/green/blue values between (0.0,1.0).

void vtkInteractorStyle::ProcessEvents | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) | `[static, protected]`

| Main process event method Reimplemented from vtkInteractorObserver.

## Member Data Documentation

int vtkInteractorStyle::State`[protected]`

| Definition at line 312 of file vtkInteractorStyle.h.

int vtkInteractorStyle::AnimState`[protected]`

| Definition at line 313 of file vtkInteractorStyle.h.

int vtkInteractorStyle::HandleObservers`[protected]`

| Definition at line 317 of file vtkInteractorStyle.h.

int vtkInteractorStyle::UseTimers`[protected]`

| Definition at line 318 of file vtkInteractorStyle.h.

int vtkInteractorStyle::AutoAdjustCameraClippingRange`[protected]`

| Definition at line 320 of file vtkInteractorStyle.h.

vtkOutlineSource* vtkInteractorStyle::Outline`[protected]`

| Definition at line 324 of file vtkInteractorStyle.h.

vtkPolyDataMapper* vtkInteractorStyle::OutlineMapper`[protected]`

| Definition at line 325 of file vtkInteractorStyle.h.

vtkActor* vtkInteractorStyle::OutlineActor`[protected]`

| Definition at line 326 of file vtkInteractorStyle.h.

vtkRenderer* vtkInteractorStyle::PickedRenderer`[protected]`

| Definition at line 327 of file vtkInteractorStyle.h.

vtkProp* vtkInteractorStyle::CurrentProp`[protected]`

| Definition at line 328 of file vtkInteractorStyle.h.

vtkActor2D* vtkInteractorStyle::PickedActor2D`[protected]`

| Definition at line 329 of file vtkInteractorStyle.h.

int vtkInteractorStyle::PropPicked`[protected]`

| Definition at line 330 of file vtkInteractorStyle.h.

float vtkInteractorStyle::PickColor[3]`[protected]`

| Definition at line 331 of file vtkInteractorStyle.h.

unsigned long vtkInteractorStyle::LeftButtonPressTag`[protected]`

| Definition at line 337 of file vtkInteractorStyle.h.

unsigned long vtkInteractorStyle::LeftButtonReleaseTag`[protected]`

| Definition at line 338 of file vtkInteractorStyle.h.

unsigned long vtkInteractorStyle::MiddleButtonPressTag`[protected]`

| Definition at line 339 of file vtkInteractorStyle.h.

unsigned long vtkInteractorStyle::MiddleButtonReleaseTag`[protected]`

| Definition at line 340 of file vtkInteractorStyle.h.

unsigned long vtkInteractorStyle::RightButtonPressTag`[protected]`

| Definition at line 341 of file vtkInteractorStyle.h.

unsigned long vtkInteractorStyle::RightButtonReleaseTag`[protected]`

| Definition at line 342 of file vtkInteractorStyle.h.

The documentation for this class was generated from the following file:

- Rendering/vtkInteractorStyle.h